Lists registered agent instances for the caller’s tenant, optionally filtered by agent_type. Results are grouped by agent_type. Requires read scope.
POST
/
agents
/
get
List agent instances
curl --request POST \
--url https://api.svantic.com/agents/get \
--header 'Content-Type: application/json' \
--data '
{
"agent_type": "string"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({agent_type: 'string'})
};
fetch('https://api.svantic.com/agents/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/agents/get"
payload = { "agent_type": "string" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/agents/get"
payload := strings.NewReader("{\n \"agent_type\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"total_instances": 0,
"agent_types": {
"sample_key": [
{
"instance_id": "string",
"url": "https://mesh.example.com/send",
"status": "available",
"current_sessions": 0,
"max_concurrent_sessions": 0,
"last_seen": "2026-03-31T12:00:00.000Z",
"registered_at": "2026-03-31T12:00:00.000Z",
"agent_version": "string",
"provider_organization": "string"
}
]
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}⌘I
List agent instances
curl --request POST \
--url https://api.svantic.com/agents/get \
--header 'Content-Type: application/json' \
--data '
{
"agent_type": "string"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({agent_type: 'string'})
};
fetch('https://api.svantic.com/agents/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/agents/get"
payload = { "agent_type": "string" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/agents/get"
payload := strings.NewReader("{\n \"agent_type\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"total_instances": 0,
"agent_types": {
"sample_key": [
{
"instance_id": "string",
"url": "https://mesh.example.com/send",
"status": "available",
"current_sessions": 0,
"max_concurrent_sessions": 0,
"last_seen": "2026-03-31T12:00:00.000Z",
"registered_at": "2026-03-31T12:00:00.000Z",
"agent_version": "string",
"provider_organization": "string"
}
]
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}